import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiSecurityGroupUpdateResultModel(
    _base.BaseAPIResultModel,
    _nested.SecurityGroupAPIResultNM,
):
    pass


class CloudapiSecurityGroupUpdateProtocol(_base.BasePostAPIFunctionProtocol):
    def update(
        self,
        *,
        security_group_id: int,
        name: str | None = None,
        description: str | None = None,
    ) -> CloudapiSecurityGroupUpdateResultModel:
        ...
